> ## Documentation Index
> Fetch the complete documentation index at: https://waffo.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1ordercapture



## OpenAPI

````yaml /api-reference/openapi.json post /api/v1/order/capture
openapi: 3.1.0
info:
  title: acquiring-order
  description: 接口文档
  termsOfService: https://www.waffo.com
  version: 1.0.0
servers: []
security: []
tags:
  - name: Subscription inquiry
    description: Subscription inquiry api description
  - name: Subscription manage
    description: >
      This API allows the merchant to request a subscription management URL from
      Waffo

      Waffo will generate a subscription management URL which merchant can
      redirect user to this URL for managing subscription details (e.g. view
      subscription detail and cancel subscription). This management URL has a
      fixed expiration time (e.g., 1 day).
  - name: Chargeback list
    description: Chargeback list api description
  - name: Payout create
    description: Payout create api description
  - name: Subscription change inquiry
    description: >
      This API allows merchants to query the status of a subscription change
      (upgrade/downgrade) request.

      此接口允许商户查询订阅升降级请求的状态。
  - name: Chargeback file download
    description: Chargeback file download api description
  - name: Subscription change
    description: >
      This API allows merchants to upgrade or downgrade a user's subscription
      plan. The change request will create a new subscription based on the
      original subscription, applying any remaining amount from the original
      subscription.


      此接口允许商户升级或降级用户的订阅计划。升降级请求将基于原订阅创建新订阅，并将原订阅的剩余金额应用到新订阅中。
  - name: Chargeback accept
    description: Chargeback accept api description
  - name: Subscription update
    description: ' Subscription update api description'
  - name: Chargeback file upload
    description: Chargeback file upload api description
  - name: Chargeback update
    description: Chargeback update api description
  - name: Wallet inquiry
    description: Wallet inquiry api description
  - name: Order inquiry
    description: Order inquiry api description
  - name: Order refund
    description: Order refund api description
  - name: Payout inquiry
    description: Payout inquiry api description
  - name: Order create
    description: ' Order create api description'
  - name: Pay Method Config Inquiry
    description: Pay Method Config Inquiry api description
  - name: Refund inquiry
    description: Refund inquiry api description
  - name: Subscription cancel
    description: >
      Cancel an active subscription when the merchant no longer wishes to
      continue the recurring billing cycle. This endpoint can only be invoked
      when the subscription status is active
  - name: Merchant config inquiry
    description: Merchant config inquiry api description
  - name: Order cancel
    description: Order cancel api description
  - name: Chargeback inquiry
    description: Chargeback inquiry api description
  - name: Subscription create
    description: Subscription create api description
paths:
  /api/v1/order/capture:
    post:
      tags:
        - ''
      operationId: orderCapture
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OrderCaptureRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ResponseOrderCaptureResponse'
components:
  schemas:
    OrderCaptureRequest:
      type: object
      properties:
        paymentRequestId:
          type: string
          maxLength: 32
          minLength: 0
        acquiringOrderId:
          type: string
          maxLength: 32
          minLength: 0
        merchantId:
          type: string
          maxLength: 32
          minLength: 0
        captureRequestedAt:
          type: string
          format: date-time
        captureAmount:
          type: string
          maxLength: 32
          minLength: 0
      required:
        - captureAmount
        - captureRequestedAt
        - merchantId
    ResponseOrderCaptureResponse:
      type: object
      description: response data
      properties:
        code:
          type: string
          example: 0
        msg:
          type: string
          example: success
        data:
          $ref: '#/components/schemas/OrderCaptureResponse'
    OrderCaptureResponse:
      type: object
      properties:
        paymentRequestId:
          type: string
        merchantOrderId:
          type: string
        acquiringOrderId:
          type: string
        orderStatus:
          type: string
        compensateSuccess:
          type: boolean

````